(* $Id: plasma_blocks.mli 326 2010-11-18 16:01:53Z gerd $ *)

(** Helpers for analyzing blocklists *)

module StrMap : Map.S with type key = string

type brange =
    { br_index : int64;                  (** the range starts at this index *)
      br_length : int64;         (** ... and includes this number of blocks *)
      br_datanodes : int64 StrMap.t;    (** maps dn identity to start block *)
    }

module Brange : 
  Plasma_util.Mergable with type key=int64 and type t=brange
  (** block ranges can be merged and split *)

module Bset : 
  Plasma_util.RangeMapType with type point=int64 and type value=brange
  (** a set of block ranges *)

val bset_of_blocklist : Plasma_rpcapi_aux.blockinfo list -> Bset.t
  (** Converts a normal blocklist into a set of block ranges *)
